var serverURL = 'avd.nice2meet.cn:9609';

var accessKey = 'demo_access';
var secretKey = 'demo_secret';

var roomId = '';
var userId = Math.uuid();
var userName = 'user' + parseInt(Math.floor(Math.random() * 9000) + 1000);
var accessToken = '';

var self = this;
var screen = null;

var restApi = new RestApi(serverURL);

var AVDEngine = ModuleBase.use(ModulesEnum.avdEngine);
var avdEngine = new AVDEngine();

avdEngine.setLog(Appender.browserConsole, LogLevel.debug);
avdEngine.initDevice();
avdEngine.setVideoCoding(VideoCodingType.H264);

//	获取房间Token
restApi.getAccessToken(self.accessKey, self.secretKey).then((res) => {
    console.log(res);
    self.accessToken = res.token;
}).otherwise((error) => {
    console.log(error);
    $(".prompt p").html('getAccessToken(),error:'+ error.msg);

})